package com.ruoyi.app.domain.request;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

public class EditHookBindBatch {

    private String batchNo;
    private String slaughterCode;
    private Long distributeBatchId;
    public void setBatchNo(String batchNo)
    {
        this.batchNo = batchNo;
    }

    @NotBlank(message = "吊钩批次不能为空")
    public String getBatchNo()
    {
        return batchNo;
    }

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    @NotBlank(message = "血码不能为空")
    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setDistributeBatchId(Long distributeBatchId)
    {
        this.distributeBatchId = distributeBatchId;
    }

    @NotNull(message = "批次号不能为空")
    public Long getDistributeBatchId()
    {
        return distributeBatchId;
    }


}
